Skip to content

Since sing-box 1.12.0

# DHCP

### Structure

    {
      "dns": {
        "servers": [
          {
            "type": "dhcp",
            "tag": "",

            "interface": "",

            // Dial Fields
          }
        ]
      }
    }

### Fields

#### interface

Interface name to listen on.

Tge default interface will be used by default.

### Dial Fields

See Dial Fields for details.